'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../_virtual/_rollupPluginBabelHelpers.js');
var React = require('react');
var NextIntlClientProvider$1 = require('../shared/NextIntlClientProvider.js');
var useLocale = require('./useLocale.js');
var useNow = require('./useNow.js');
var useTimeZone = require('./useTimeZone.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

function NextIntlClientProvider(_ref) {
  let {
    locale,
    now,
    timeZone,
    ...rest
  } = _ref;
  const defaultLocale = useLocale.default();
  const defaultNow = useNow.default();
  const defaultTimeZone = useTimeZone.default();
  return /*#__PURE__*/React__default.default.createElement(NextIntlClientProvider$1.default, _rollupPluginBabelHelpers.extends({
    locale: locale !== null && locale !== void 0 ? locale : defaultLocale,
    now: now !== null && now !== void 0 ? now : defaultNow,
    timeZone: timeZone !== null && timeZone !== void 0 ? timeZone : defaultTimeZone
  }, rest));
}

exports.default = NextIntlClientProvider;
